#Region "Copyright Syncfusion Inc. 2001 - 2005"
'
'  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region


Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports Syncfusion.Windows.Forms.Diagram
Imports Syncfusion.Windows.Forms.Diagram.Controls
Imports System.Runtime.Serialization
Imports System.Drawing.Design

Namespace Nested_Symbols
	''' <summary>
	''' Summary description for MyEllipse.
	''' </summary>
	<Serializable()> _
	Public Class MyEllipse : Inherits Symbol : Implements ISerializable
		Private ellipse As Ellipse = Nothing
		Public Sub New()
			Me.ellipse = New Ellipse(160, 60, 100, 60)
			'this.ellipse.FillStyle.Color = System.Drawing.Color.Pink;
			Me.AppendChild(ellipse)


		End Sub
		Protected Sub New(ByVal info As SerializationInfo, ByVal context As StreamingContext)
			MyBase.New(info, context)
		End Sub

		Protected Overrides Sub GetObjectData(ByVal info As SerializationInfo, ByVal context As StreamingContext) Implements ISerializable.GetObjectData
			MyBase.GetObjectData(info, context)

		End Sub

		Protected Overrides Sub OnDeserialization(ByVal sender As Object)
			MyBase.OnDeserialization(sender)
			' Get references to the child objects
			Me.ellipse = CType(IIf(TypeOf Me.GetChildByName("Ellipse") Is Ellipse, Me.GetChildByName("Ellipse"), Nothing), Ellipse)
		End Sub
	End Class
End Namespace